diff -ru unity_asset_server-1.0.0/install.sh unity_asset_server-1.0.0-ubuntu/install.sh
--- unity_asset_server-1.0.0/install.sh 2007-10-10 13:05:23.000000000 +0200
+++ unity_asset_server-1.0.0-ubuntu/install.sh 2009-10-28 18:36:12.000000000 +0100
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
# Asset server install script v. 1.0.0
# Run this script as root to install the service
diff -ru unity_asset_server-1.0.0/postgresql-8.2.5/src/backend/Makefile unity_asset_server-1.0.0-ubuntu/postgresql-8.2.5/src/backend/Makefile
--- unity_asset_server-1.0.0/postgresql-8.2.5/src/backend/Makefile 2006-10-08 19:15:33.000000000 +0200
+++ unity_asset_server-1.0.0-ubuntu/postgresql-8.2.5/src/backend/Makefile 2009-10-28 18:36:12.000000000 +0100
@@ -8,6 +8,7 @@
#
#-------------------------------------------------------------------------
+SHELL=/bin/bash
PGFILEDESC = "PostgreSQL Server"
subdir = src/backend
top_builddir = ../..
diff -ru unity_asset_server-1.0.0/unity_build/postgresql.conf.default unity_asset_server-1.0.0-ubuntu/unity_build/postgresql.conf.default
--- unity_asset_server-1.0.0/unity_build/postgresql.conf.default 2007-10-10 13:05:23.000000000 +0200
+++ unity_asset_server-1.0.0-ubuntu/unity_build/postgresql.conf.default 2009-10-28 18:36:12.000000000 +0100
@@ -57,7 +57,7 @@
# comma-separated list of addresses;
# defaults to 'localhost', '*' = all
# (change requires restart)
-#port = 10733 # (change requires restart)
+port = 10733 # (change requires restart)
max_connections = 40 # (change requires restart)
# Note: increasing max_connections costs ~400 bytes of shared memory per
# connection slot, plus lock space (see max_locks_per_transaction). You
diff -ru unity_asset_server-1.0.0/unity_build/reset_admin_password.sh unity_asset_server-1.0.0-ubuntu/unity_build/reset_admin_password.sh
--- unity_asset_server-1.0.0/unity_build/reset_admin_password.sh 2007-10-10 13:05:23.000000000 +0200
+++ unity_asset_server-1.0.0-ubuntu/unity_build/reset_admin_password.sh 2009-10-28 18:36:12.000000000 +0100
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
echo
echo "You are about to change the admin password for the Unity Asset Server"
diff -ru unity_asset_server-1.0.0/unity_build/unity_asset_server.sysvinit unity_asset_server-1.0.0-ubuntu/unity_build/unity_asset_server.sysvinit
--- unity_asset_server-1.0.0/unity_build/unity_asset_server.sysvinit 2007-10-10 13:05:23.000000000 +0200
+++ unity_asset_server-1.0.0-ubuntu/unity_build/unity_asset_server.sysvinit 2009-10-28 18:36:12.000000000 +0100
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
#
# unity_asset_server Unity Asset Server.
# chkconfig: - 80 20
@@ -7,13 +7,20 @@
# config: /opt/unity_asset_server/data/postgresql.conf
# Source function library.
-. /etc/init.d/functions
+if [ -f /etc/init.d/functions ] ; then
+ . /etc/init.d/functions
+else
+ echo_success () { echo -n " [ OK ] " ; }
+ echo_failure () { echo -n " [FAILED] " ; }
+fi
# Source networking configuration.
-. /etc/sysconfig/network
+if [ -f /etc/sysconfig/network ] ; then
+ . /etc/sysconfig/network
+fi
# Check that networking is up.
-[ X\${NETWORKING} = Xno ] && exit 0
+#[ X\${NETWORKING} = Xno ] && exit 0
##
# UnityAssetServer startup script
@@ -75,7 +82,13 @@
if [ $RETVAL -eq 0 ]; then
echo_success
echo
- touch /var/lock/subsys/unity_asset_server
+
+ if [ -d /var/lock/subsys ] ; then
+ touch /var/lock/subsys/unity_asset_server
+ else
+ touch /var/lock/unity_asset_server
+ fi
+
else
echo_failure
echo
@@ -88,8 +101,12 @@
su -l $PGUSER -c "$PGCTL stop -D '$PGDATA' -s -m fast"
RETVAL=$?
if [ $RETVAL = 0 ]; then
- echo_success
+ echo_success
+ if [ -d /var/lock/subsys ] ; then
rm -f /var/lock/subsys/unity_asset_server
+ else
+ rm -f /var/lock/unity_asset_server
+ fi
else
echo_failure
fi
@@ -126,4 +143,4 @@
exit 1
esac
-exit $RETVAL
\ No newline at end of file
+exit $RETVAL